CUDA Driver API (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 6.10. CUDA_KERNEL_NODE_PARAMS Struct Reference

## [Data types used by CUDA driver]

GPU kernel node parameters

### Public Variables

unsigned int blockDimX
unsigned int blockDimY
unsigned int blockDimZ
* extra
CUfunction func
unsigned int gridDimX
unsigned int gridDimY
unsigned int gridDimZ
* kernelParams
unsigned int sharedMemBytes

### Variables

unsigned int CUDA_KERNEL_NODE_PARAMS::blockDimX [inherited]

  X dimension of each thread block

unsigned int CUDA_KERNEL_NODE_PARAMS::blockDimY [inherited]

  Y dimension of each thread block

unsigned int CUDA_KERNEL_NODE_PARAMS::blockDimZ [inherited]

  Z dimension of each thread block

* CUDA_KERNEL_NODE_PARAMS::extra [inherited]

  Extra options

CUfunction CUDA_KERNEL_NODE_PARAMS::func [inherited]

  Kernel to launch

unsigned int CUDA_KERNEL_NODE_PARAMS::gridDimX [inherited]

  Width of grid in blocks

unsigned int CUDA_KERNEL_NODE_PARAMS::gridDimY [inherited]

  Height of grid in blocks

unsigned int CUDA_KERNEL_NODE_PARAMS::gridDimZ [inherited]

  Depth of grid in blocks

* CUDA_KERNEL_NODE_PARAMS::kernelParams [inherited]

  Array of pointers to kernel parameters

unsigned int CUDA_KERNEL_NODE_PARAMS::sharedMemBytes [inherited]

  Dynamic shared-memory size per thread block in bytes